apiVersion: v1
kind: ConfigMap
metadata:
  name: cantaloupe-prop
data:
  cantaloupe.properties: |-
    http.enabled = true
    http.host = 0.0.0.0
    http.port = 8182
    https.enabled = false
    https.host = 0.0.0.0
    https.port = 8183
    https.key_store_type = JKS
    https.key_store_password = myPassword
    https.key_store_path = /path/to/keystore.jks
    https.key_password = myPassword
    auth.basic.enabled = false
    auth.basic.username = myself
    auth.basic.secret = mypassword
    admin.enabled = false
    admin.password = docker
    base_uri =
    slash_substitute = $!$
    max_pixels = 400000000
    print_stack_trace_on_error_pages = true
    delegate_script.enabled = false
    delegate_script.pathname = delegates.rb
    delegate_script.cache.enabled = false
    delegate_script.cache.max_size = 1000000
    endpoint.iiif.1.enabled = false
    endpoint.iiif.2.enabled = true
    endpoint.iiif.content_disposition = inline
    endpoint.iiif.min_tile_size = 1024
    endpoint.iiif.2.restrict_to_sizes = false
    endpoint.api.enabled = false
    endpoint.api.username =
    endpoint.api.secret =
    resolver.static = FilesystemResolver
    resolver.delegate = false
    FilesystemResolver.lookup_strategy = BasicLookupStrategy
    FilesystemResolver.BasicLookupStrategy.path_prefix = /var/lib/cantaloupe/images/
    FilesystemResolver.BasicLookupStrategy.path_suffix =
    HttpResolver.lookup_strategy = BasicLookupStrategy
    HttpResolver.BasicLookupStrategy.url_prefix = http://localhost/images/
    HttpResolver.BasicLookupStrategy.url_suffix =
    HttpResolver.auth.basic.username =
    HttpResolver.auth.basic.secret =
    JdbcResolver.url = jdbc:postgresql://localhost:5432/my_database
    JdbcResolver.user = postgres
    JdbcResolver.password = postgres
    JdbcResolver.connection_timeout = 10
    AmazonS3Resolver.access_key_id =
    AmazonS3Resolver.secret_key =
    AmazonS3Resolver.bucket.name =
    AmazonS3Resolver.bucket.region =
    AmazonS3Resolver.lookup_strategy = BasicLookupStrategy
    AzureStorageResolver.account_name =
    AzureStorageResolver.account_key =
    AzureStorageResolver.container_name =
    AzureStorageResolver.lookup_strategy = BasicLookupStrategy
    processor.avi = FfmpegProcessor
    processor.bmp =
    processor.gif =
    processor.jp2 = OpenJpegProcessor
    processor.jpg =
    processor.mov = FfmpegProcessor
    processor.mp4 = FfmpegProcessor
    processor.mpg = FfmpegProcessor
    processor.pdf = PdfBoxProcessor
    processor.png =
    processor.tif = Java2dProcessor
    processor.webm = FfmpegProcessor
    processor.webp = ImageMagickProcessor
    processor.fallback = Java2dProcessor
    StreamProcessor.retrieval_strategy = StreamStrategy
    FfmpegProcessor.path_to_binaries =
    FfmpegProcessor.upscale_filter = bicubic
    FfmpegProcessor.downscale_filter = bicubic
    FfmpegProcessor.sharpen = 0
    GraphicsMagickProcessor.path_to_binaries =
    GraphicsMagickProcessor.background_color = black
    GraphicsMagickProcessor.normalize = false
    GraphicsMagickProcessor.sharpen = 0
    ImageMagickProcessor.path_to_binaries = /usr/local/bin
    ImageMagickProcessor.background_color = black
    ImageMagickProcessor.normalize = false
    ImageMagickProcessor.sharpen = 0
    JaiProcessor.normalize = false
    JaiProcessor.sharpen = 0
    JaiProcessor.jpg.quality = 0.8
    JaiProcessor.tif.compression = LZW
    Java2dProcessor.upscale_filter = bicubic
    Java2dProcessor.downscale_filter = bicubic
    Java2dProcessor.normalize = false
    Java2dProcessor.sharpen = 0
    Java2dProcessor.jpg.quality = 0.8
    Java2dProcessor.tif.compression = LZW
    KakaduProcessor.path_to_binaries =
    KakaduProcessor.normalize = false
    KakaduProcessor.upscale_filter = bicubic
    KakaduProcessor.downscale_filter = bicubic
    KakaduProcessor.sharpen = 0
    OpenJpegProcessor.path_to_binaries = /usr/bin
    OpenJpegProcessor.normalize = false
    OpenJpegProcessor.upscale_filter = bicubic
    OpenJpegProcessor.downscale_filter = bicubic
    OpenJpegProcessor.sharpen = 0
    PdfBoxProcessor.dpi = 150
    PdfBoxProcessor.upscale_filter = bicubic
    PdfBoxProcessor.downscale_filter = bicubic
    PdfBoxProcessor.sharpen = 0
    cache.client.enabled = true
    cache.client.max_age = 2592000
    cache.client.shared_max_age =
    cache.client.public = true
    cache.client.private = false
    cache.client.no_cache = false
    cache.client.no_store = false
    cache.client.must_revalidate = false
    cache.client.proxy_revalidate = false
    cache.client.no_transform = true
    cache.source =
    cache.derivative = FilesystemCache
    cache.server.ttl_seconds = 2592000
    cache.server.purge_missing = false
    cache.server.resolve_first = false
    cache.server.worker.enabled = false
    cache.server.worker.interval = 86400
    FilesystemCache.pathname = /var/cache/cantaloupe
    FilesystemCache.dir.depth = 3
    FilesystemCache.dir.name_length = 2
    JdbcCache.url = jdbc:postgresql://localhost:5432/cantaloupe
    JdbcCache.user = postgres
    JdbcCache.password =
    JdbcCache.connection_timeout = 10
    JdbcCache.derivative_image_table = derivative_cache
    JdbcCache.info_table = info_cache
    AmazonS3Cache.access_key_id =
    AmazonS3Cache.secret_key =
    AmazonS3Cache.bucket.name =
    AmazonS3Cache.bucket.region =
    AmazonS3Cache.object_key_prefix =
    AzureStorageCache.account_name =
    AzureStorageCache.account_key =
    AzureStorageCache.container_name =
    AzureStorageCache.object_key_prefix =
    overlays.enabled = false
    overlays.strategy = BasicStrategy
    overlays.BasicStrategy.type = image
    overlays.BasicStrategy.image = /path/to/overlay.png
    overlays.BasicStrategy.string = Copyright \u00A9️ My Great Organization\nAll rights reserved.
    overlays.BasicStrategy.string.font = Helvetica
    overlays.BasicStrategy.string.font.size = 18
    overlays.BasicStrategy.string.color = white
    overlays.BasicStrategy.string.stroke.color = black
    overlays.BasicStrategy.string.stroke.width = 1
    overlays.BasicStrategy.position = bottom right
    overlays.BasicStrategy.inset = 10
    overlays.BasicStrategy.output_width_threshold = 400
    overlays.BasicStrategy.output_height_threshold = 300
    redaction.enabled = false
    metadata.preserve = false
    metadata.respect_orientation = false
    log.application.level = warn
    log.application.ConsoleAppender.enabled = true
    log.application.FileAppender.enabled = false
    log.application.FileAppender.pathname = /path/to/logs/application.log
    log.application.RollingFileAppender.enabled = false
    log.application.RollingFileAppender.pathname = /path/to/logs/application.log
    log.application.RollingFileAppender.policy = TimeBasedRollingPolicy
    log.application.RollingFileAppender.TimeBasedRollingPolicy.filename_pattern = /path/to/logs/application-%d{yyyy-MM-dd}.log
    log.application.RollingFileAppender.TimeBasedRollingPolicy.max_history = 30
    log.application.SyslogAppender.enabled = false
    log.application.SyslogAppender.host =
    log.application.SyslogAppender.port = 514
    log.application.SyslogAppender.facility = LOCAL0
    log.access.ConsoleAppender.enabled = true
    log.access.FileAppender.enabled = false
    log.access.FileAppender.pathname = /path/to/logs/access.log
    log.access.RollingFileAppender.enabled = false
    log.access.RollingFileAppender.pathname = /path/to/logs/access.log
    log.access.RollingFileAppender.policy = TimeBasedRollingPolicy
    log.access.RollingFileAppender.TimeBasedRollingPolicy.filename_pattern = /path/to/logs/access-%d{yyyy-MM-dd}.log
    log.access.RollingFileAppender.TimeBasedRollingPolicy.max_history = 30
    log.access.SyslogAppender.enabled = false
    log.access.SyslogAppender.host =
    log.access.SyslogAppender.port = 514
    log.access.SyslogAppender.facility = LOCAL0
